### Class

# Goa ExchangeSkeleton

since: 3.6.0

#### Description [src]

    class Goa.ExchangeSkeleton : Gio.DBusInterfaceSkeleton
      implements Gio.DBusInterface, Goa.Exchange {
      /* No available fields */
    }

The `GoaExchangeSkeleton` structure contains only private data and should only be accessed using the provided API.

Available since: 3.6.0

#### Ancestors

- GDBusInterfaceSkeleton
- GObject

#### Implements

- GDBusInterface
- GoaExchange

#### Constructors

###### goa_exchange_skeleton_new

Creates a skeleton object for the D-Bus interface org.gnome.OnlineAccounts.Exchange.

since: 3.6.0

#### Instance methods

##### Methods inherited from GDBusInterfaceSkeleton (13)

###### g_dbus_interface_skeleton_export

Exports `interface_` at `object_path` on `connection`.

###### g_dbus_interface_skeleton_flush

If `interface_` has outstanding changes, request for these changes to be emitted immediately.

###### g_dbus_interface_skeleton_get_connection

Gets the first connection that `interface_` is exported on, if any.

###### g_dbus_interface_skeleton_get_connections

Gets a list of the connections that `interface_` is exported on.

###### g_dbus_interface_skeleton_get_flags

Gets the `GDBusInterfaceSkeletonFlags` that describes what the behavior of `interface_`.

###### g_dbus_interface_skeleton_get_info

Gets D-Bus introspection information for the D-Bus interface implemented by `interface_`.

###### g_dbus_interface_skeleton_get_object_path

Gets the object path that `interface_` is exported on, if any.

###### g_dbus_interface_skeleton_get_properties

Gets all D-Bus properties for `interface_`.

###### g_dbus_interface_skeleton_get_vtable

Gets the interface vtable for the D-Bus interface implemented by `interface_`. The returned function pointers should expect `interface_` itself to be passed as `user_data`.

###### g_dbus_interface_skeleton_has_connection

Checks if `interface_` is exported on `connection`.

###### g_dbus_interface_skeleton_set_flags

Sets flags describing what the behavior of `skeleton` should be.

###### g_dbus_interface_skeleton_unexport

Stops exporting `interface_` on all connections it is exported on.

###### g_dbus_interface_skeleton_unexport_from_connection

Stops exporting `interface_` on `connection`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GDBusInterface (4)

###### g_dbus_interface_dup_object

Gets the `GDBusObject` that `interface_` belongs to, if any.

###### g_dbus_interface_get_info

Gets D-Bus introspection information for the D-Bus interface implemented by `interface_`.

###### g_dbus_interface_get_object

Gets the `GDBusObject` that `interface_` belongs to, if any.

###### g_dbus_interface_set_object

Sets the `GDBusObject` for `interface_` to `object`.

##### Methods inherited from GoaExchange (5)

###### goa_exchange_dup_host

Gets a copy of the “Host” D-Bus property.

since: 3.6.0

###### goa_exchange_get_accept_ssl_errors

Gets the value of the “AcceptSslErrors” D-Bus property.

since: 3.6.0

###### goa_exchange_get_host

Gets the value of the “Host” D-Bus property.

since: 3.6.0

###### goa_exchange_set_accept_ssl_errors

Sets the “AcceptSslErrors” D-Bus property to `value`.

since: 3.6.0

###### goa_exchange_set_host

Sets the “Host” D-Bus property to `value`.

since: 3.6.0

#### Properties

##### Properties inherited from GDBusInterfaceSkeleton (1)

###### Gio.DBusInterfaceSkeleton:g-flags

Flags from the `GDBusInterfaceSkeletonFlags` enumeration.

##### Properties inherited from GoaExchange (2)

###### GoaExchange:accept-ssl-errors

Represents the D-Bus property “AcceptSslErrors”.

since: 3.6.0

###### GoaExchange:host

Represents the D-Bus property “Host”.

since: 3.6.0

#### Signals

##### Signals inherited from GDBusInterfaceSkeleton (1)

###### GDBusInterfaceSkeleton::g-authorize-method

Emitted when a method is invoked by a remote caller and used to determine if the method call is authorized.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GoaExchangeSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;

    }

Class structure for `GoaExchangeSkeleton`.

###### Class members

`parent_class: GDBusInterfaceSkeletonClass`

  The parent class.